Name:           perl-Alien-SDL
Version:        1.438
Release:        2%{?dist}
Summary:        Building, finding and using SDL binaries
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-SDL/
Source0:        http://www.cpan.org/authors/id/J/JT/JTPALMER/Alien-SDL-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  SDL_gfx-devel
BuildRequires:  freetype-devel
BuildRequires:  pango-devel
BuildRequires:  perl(Archive::Extract)
# Not needed (https://github.com/PerlGameDev/SDL/issues/234):
# Archive::Tar
# Archive::Zip
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(File::Fetch) >= 0.24
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path) >= 2.08
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Text::Patch) >= 1.4
# Run-time:
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(File::ShareDir) >= 1.00
# Tests only:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(File::ShareDir) >= 1.00

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(File::ShareDir\\)$

%description
In short Alien::SDL can be used to detect and get configuration settings from 
an installed SDL and related libraries. Based on your platform it offers the 
possibility to download and install pre-built binaries or to build SDL & co. 
from source codes.

%prep
%setup -q -n Alien-SDL-%{version}
sed -i 's/\r//' README

%build
%{__perl} Build.PL installdirs=vendor --with-sdl-config
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE patches README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.438-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 10 2012 Jitka Plesnikova <jplesnik@redhat.com> - 1.438-1
- 1.438 bump

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.436-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 Petr Pisar <ppisar@redhat.com> - 1.436-2
- Perl 5.16 rebuild

* Thu Jun 25 2012 Jitka Plesnikova <jplesnik@redhat.com> - 1.436-1
- 1.436 bump

* Sun Jun 17 2012 Petr Pisar <ppisar@redhat.com> - 1.434-2
- Perl 5.16 rebuild

* Thu Jun 07 2012 Petr Pisar <ppisar@redhat.com> - 1.434-1
- 1.434 bump

* Mon Jan 16 2012 Marcela Mašláňová <mmaslano@redhat.com> 1.430-1
- update to 1.430

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.428-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 01 2011 Marcela Mašláňová <mmaslano@redhat.com> 1.428-1
- Specfile autogenerated by cpanspec 1.79.
